
body {
  min-height: 500px;
  overflow: hidden;
  font-family: 'kiaotflight', sans-serif;
  background-color: var(--black-kia);
}

.register {
  height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  background-color: var(--black-kia);
  overflow: hidden;
}

/*image background*/
.image-background {
  background-image: url('../images/kia-presales-back-models-desk.webp');
  background-repeat: no-repeat;
  background-position: center;

  background-size: cover;
  padding: 40px;
  width: 100%;
  height: 100%;
}
.model-gallery {
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  padding: 40px;
  width: 100%;
  height: 100%;
}

.car-model-buttons .button-image.thumbnail {
  width: 64px;
  height: 64px;
  border-radius: 10px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  border: none;
  cursor: pointer;
  background-image: url('../images/models/sportage/desk/sportage-img-1.webp');
  transition: all 0.4s;
}

.car-model-buttons .button-image.thumbnail:hover {
  opacity: 0.8;
}

.model-gallery .download-datasheet-link {
  text-decoration: underline;
  color: #fff;
  transition: all 0.4s;
}

.model-disclaimer {
  color: #fff;
  font-size: 1rem;
}

.model-gallery .download-datasheet-link:hover {
  color: rgba(255, 255, 255, 0.5);
}

.image-container {
  width: 100%;
}

.image-container .image-container__subtitle {
  text-align: center;
  font-size: 1.25rem;
  line-height: 1.4;
  font-family: 'kiaotflight', sans-serif;
}

.image-container .image-container__title {
  text-align: center;
  margin-bottom: 0;
  line-height: 1.4;
  font-family: 'kiaotflight', sans-serif;
}

/* Form */

.form-container {
  padding: 0 0 3rem;
  justify-content: flex-start;
  height: 100%;

  overflow-y: auto;
  background: url('../images/kia-presales-back-form-desk.webp') center / cover
    no-repeat;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.form-register,
.form-payment {
  padding: 0 2.5rem;
  background-color: transparent;

  min-width: 320px;
  width: 100%;
  max-width: 100%;
  -webkit-box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.2);
  box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.2);
  caret-color: white;
  height: auto;
  order: 2;
}

.form-header {
  height: 3.75rem;
  color: var(--white);
  padding: 0 1.5rem;
  margin: 1rem 0;
}

.form-title {
  font-size: 2rem;
  font-weight: 300;
  margin: 0px;
}

.form-select {
  position: relative;
  z-index: 1;
  width: 100%;
  font-size: 1rem;
  background-color: transparent;
  border: none;
  outline: none;
  color: rgba(255, 255, 255, 0.5);
  border: 1px solid rgba(255, 255, 255, 0.5);
  padding: 8px 16px;
  border-radius: 50px;
  font-size: 0.94rem;
  box-shadow: none;

  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
}

.form-select:focus {
  background-color: rgba(15, 43, 69, 0.8) !important;
  color: #fff;
  border: 1px solid #fff;
}

.form-select:focus .form-select option,
.form-select option:hover {
  color: #fff;
  background-color: rgba(15, 43, 69, 0.8);
}
.form-select.valid {
  border: 1px solid #fff;
  color: #fff;
}

.select-wrapper i {
  position: absolute;
  width: 24px;
  height: 24px;
  right: 9px;
  top: 6px;

  color: var(--gris);
  pointer-events: none;
  font-size: 1rem;
  z-index: 2;
}

.form-legend,
.form-legend strong {
  font-size: 1.25rem;
}

.form-legend {
  width: 100%;
}

.form-group {
  position: relative;
}

.form-input {
  position: relative;
  z-index: 1;
  width: 100%;
  font-size: 1rem;
  background-color: transparent;
  border: none;
  outline: none;
  border: 1px solid #fff;
  transition: all 0.5s;
  color: white;
  padding: 8px 16px;
  border-radius: 50px;
  font-size: 0.94rem;
}
.form-input::placeholder {
  color: rgba(255, 255, 255, 0.5);
}
.form-input:placeholder-shown {
  border: 1px solid rgba(255, 255, 255, 0.5);
}

.form-input:focus {
  color: white;
  border: 1px solid #fff;
}

.form-label {
  cursor: pointer;
  position: absolute;
  font-size: 1rem;
  top: 0;
  left: 10px;
  transform: translateY(10px);
  transition: all var(--transition-duration);
}

.container-privacity {
  position: relative;
  height: auto;
  color: white;
}

.form-error {
  z-index: 0;
  visibility: hidden;
  position: absolute;
  right: 8px;
  display: block;
  margin-top: -17px !important;
  font-size: 0.8em;
  color: #ff0000;
  text-align: end;
}

.container-privacity .form-error {
  margin-top: -10px;
}

.container-privacity .form-error--priv .form-error {
  margin-top: -5px !important;
}

.form-error.error {
  visibility: visible;
}

.form-error.success {
  visibility: hidden;
}

/* Checkbox */

.input-checkbox {
  opacity: 0;
  display: none;
}

.label-checkbox,
.label-checkbox a {
  font-size: var(--fz-xs);
  color: white;
}

.label-checkbox a {
  text-decoration: underline;
  text-underline-offset: calc(1rem / 5);
}

.input-checkbox + label {
  position: relative;

  cursor: pointer;
  display: inline-block;
  padding-left: 30px;
}

.input-checkbox + label::before {
  content: '';
  position: absolute;
  left: 1px;
  top: 5px;
  width: 1.125rem;
  height: 1.125rem;
  outline: 1px solid white;
  background-color: transparent;
  border-radius: 50px !important;
}

.input-checkbox:checked + label::before {
  content: '';
  position: absolute;
  left: 1px;
  top: 4px;
  width: 1.125rem;
  height: 1.125rem;
  background-color: transparent;
}

.input-checkbox:checked + label::after {
  content: '\2714';
  position: absolute;
  left: 3px;
  top: 4px;
  width: 1.125rem;
  height: 1.125rem;
  font-size: 1rem;
}

.container.content {
  max-width: unset;
  width: 100%;
  display: flex;
  flex: 1;
  align-content: center;
  flex-wrap: nowrap;
  flex-direction: row;
  padding: 0;
  overflow: hidden;
  height: 100vh;
  margin: 0;
}

/* Thanks Message */
.thanks__container {
  background-color: transparent;
  color: white;
  min-width: 320px;
  width: 100%;
  max-width: 100%;
  -webkit-box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.2);
  box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.2);
  caret-color: white;
  height: auto;
  order: 2;
  display: none;
}

.thanks__title {
  font-size: 1.5rem;
  padding: 0 2.5rem;
  font-weight: 300;
}
.thanks__description,
.thanks__description strong {
  line-height: 1.4;
  font-size: 1.25rem;
}

.thanks__description {
  padding: 0 2.5rem;
}

.thanks__mobile {
  margin-bottom: 3rem;
}

a.button-kia-line {
  text-decoration: none;
  cursor: pointer;
}

.button-kia-line {
  height: 40px;
  padding: 0 40px;
  font-size: 16px;
  border-radius: 50px;
}

/* tabs section */
.nav-tabs {
  width: 100%;
  border-bottom: none;
  height: 30px;
}

.nav-fill .nav-item .nav-link,
.nav-justified .nav-item .nav-link {
  border-radius: 0;
  height: 30px;
  padding: 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: rgba(255, 255, 255, 0.5);
  background-color: #394045;
  border: none;
  font-size: 14px;
  font-family: 'kiaotfmedium', 'sans-serif';
}

.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active,
.nav-tabs .nav-link.valid {
  color: var(--black-kia);
  background-color: white;
}

.nav-tabs .nav-link:focus,
.nav-tabs .nav-link:hover {
  border: none;
}

.nav-link.button {
  pointer-events: none;
}

#kiaTabContent {
  margin-top: auto;
  margin-bottom: auto;
  width: 100%;
}

/* payment section */
.payment-form-kia {
  padding: 0 0 3rem;
  justify-content: flex-start;
  height: 100%;

  overflow-y: auto;
  background-color: transparent;
  display: flex;
  align-items: center;
  flex-direction: column;
}

button.icon-button {
  color: rgba(255, 255, 255, 0.5);
  background-color: transparent;
  border: 1px solid rgba(255, 255, 255, 0.5);
  border-radius: 50px;
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.4s;
}
button.icon-button i {
  width: 30px;
  height: 30px;
}

button.icon-button i svg path {
  fill: rgba(255, 255, 255, 0.5);
  transition: all 0.4s;
}
button.icon-button:hover i svg path {
  fill: rgba(255, 255, 255, 1);
}

button.icon-button:hover {
  color: #fff;
  border: 1px solid #fff;
}

/* information-section */
.preorder-title {
  font-size: 1.5rem;
}
.information-title {
  font-size: 1.2rem;
  text-align: left;
}

.information-container {
  width: 70%;
  border-radius: 15px;
  border: 1px solid #fff;
  overflow: hidden;
}

.information-container .row {
  padding: 0.25rem 2rem;
}

.information-container .row:first-child {
  border-bottom: 1px solid #fff;
  padding: 1rem 2rem;
}

.information-container .car-label {
  font-family: 'kiaotfmedium';
}

.payment-button-container {
  width: 100%;
}

.payment-button svg {
  width: 30px;
  height: 30px;
}

.payment-button.active svg path,
.payment-button:hover svg path {
  fill: var(--black-kia);
}

button.payment-button {
  padding: 0.5rem 2rem;
  min-height: 40px;
  height: auto;
  width: fit-content;
  line-height: 1.2;
}

button.payment-button.active {
  background-color: var(--white);
  color: var(--black-kia) !important;
}

.back-button-container {
  position: absolute;
}

.payment-type-container {
  width: 100%;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.payment-type-container .form-error {
  right: unset;
}

.animate__faster {
  --animate-duration: 0.3s;
}
/* Responsive Styles */
.button-next-mobile-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.gallery-button-mobile-container {
  display: none;
  position: absolute;
  top: 80px;
  right: 14px;
}
.button.icon-button.gallery-button-mobile {
  background-color: #fff;
}

@media screen and (max-width: 992px) {
  .form-register,
  .form-payment {
    padding: 0 2rem 3rem 2rem;
  }

  .form-payment h3.form-legend.preorder-title {
    margin: 0px;
    font-size: 1.3rem;
    margin-top: 60px !important;
  }

  .information-container {
    margin-top: 2rem;
  }

  .image-background {
    padding: 30px 0px;
    min-height: 100dvh;
    height: auto;
    overflow-y: scroll;
    background-position: bottom;
  }

  .model-gallery {
    min-height: 100dvh;
    height: auto;
    overflow-y: scroll;
  }

  .logo-kia-fifa {
    max-width: 250px;
  }

  .form-input {
    padding: 12px 16px;
    margin-bottom: 1rem;
  }

  .form-legend {
    padding: 0 !important;
    margin-bottom: 0.75rem;
  }
  .form-inputs-container.gap-3 {
    gap: 0.5rem !important;
  }

  .form-select {
    padding: 12px 16px;
    margin-bottom: 1rem;
  }
  .form-error {
    margin-top: 15px;
  }
  .select-wrapper i {
    top: 10px;
  }

  .back-button-container {
    top: 80px;
    left: 15px;
  }
  .information-container {
    width: 100%;
  }

  button.back-button,
  .button.icon-button.gallery-button-mobile {
    background-color: rgba(15, 43, 69, 1);
    color: #fff;
    border: 1px solid rgba(255, 255, 255, 1);
    z-index: 99;
    padding: 0px;
  }
  button.icon-button i svg path {
    fill: #fff;
  }

  .button.icon-button.gallery-button-mobile {
    background-color: #fff;
    color: var(--black-kia);
    border: 1px solid rgba(255, 255, 255, 1);
    z-index: 99;
    padding: 0px;
  }
  .button.icon-button.gallery-button-mobile i svg path,
  .button.icon-button.gallery-button-mobile:hover i svg path,
  .button.icon-button.gallery-button-mobile:focus i svg path {
    fill: var(--black-kia);
  }

  button.form-submit {
    margin-top: 1.5rem;
  }

  .gallery-button-mobile-container,
  .back-button-container {
    z-index: 99;
  }

  .payment-button-container button.payment-button {
    width: 100%;
    min-height: 55px;
  }

  .payment-button-container .row:nth-child(2) {
    gap: 1rem;
  }
  .payment-button-container .col-6 {
    width: 100% !important;
  }
  button.button-kia-line {
    height: 50px;
  }
  body {
    overflow-y: hidden;
    height: 100dvh;
  }
  .container.content {
    overflow-y: scroll;
    height: 100dvh;
  }
}

@media screen and (max-width: 767px) {
  .logo-kia-fifa {
    max-width: 200px;
  }
}

@media screen and (max-width: 400px) {
  .image-background {
    min-height: 600px;
    height: 100dvh;
    background-position: bottom;
  }

  .row.container.content,
  .image-background,
  .galleries-container {
    overflow-y: scroll;
  }
  .model-gallery {
    overflow-y: auto;
    min-height: 600px;
  }
}
/* custom media queries */

@media screen and (min-height: 850px) and (min-width: 1300px) {
  .form-inputs-container {
    gap: 2rem !important;
  }
  .form-register,
  .form-payment {
    padding: 0 5rem;
  }
}

@media screen and (max-width: 950px) and (max-height: 500px) {
  .image-background {
    min-height: 600px;
    background-position: bottom;
  }

  .row.container.content,
  .image-background,
  .galleries-container {
    overflow-y: auto;
  }

  .model-gallery {
    overflow-y: auto;
    min-height: 600px;
  }
}




.container-terms {
  position: relative;
  height: auto;
  color: white;
}

.container-terms .form-error {
  margin-top: -10px;
}

.container-terms .form-error--priv .form-error {
  margin-top: -5px !important;
}

.payment-button-submit-container {
  width: 100%;
}

.payment-button-submit svg {
  width: 30px;
  height: 30px;
}

.payment-button-submit.active svg path,
.payment-button-submit:hover svg path {
  fill: var(--black-kia);
}

button.payment-button-submit {
  padding: 0.5rem 2rem;
  min-height: 40px;
  height: auto;
  width: fit-content;
  line-height: 1.2;
}

button.payment-button-submit.active {
  background-color: var(--white);
  color: var(--black-kia) !important;
}

.image-tooltip .tooltip-inner {
  border-radius: 10px;
  box-shadow: 0 5px 15px rgba(0,0,0,0.2);
}

.image-tooltip-active .tooltip-inner {
  border-radius: 10px;
  box-shadow: 0 5px 15px rgba(0,0,0,0.2);
  background-color: rgba(0, 0, 0, 0.603);
}